Subject: Re: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Fri, 17 Dec 2021 17:19:31 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: "Christopher M. Miles" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Fri, 17 Dec 2021 12:02:27 +0800
>> 
>> > Anyway, can you describe what you see when you try to open one of
>> > those images from within a ZIP file?  You said empty buffer, but
>> > that's not how Emacs displays images it cannot draw as images.  So
>> > maybe you didn't describe the display in all the detail?
>> 
>> I recorded a screencast video of this problem. And I uploaded the big video file here:
>> 
>> https://www.bilibili.com/video/BV12Y411W7VS/
>
> Thanks.  According to this, Emacs says "(New file)" when you type RET
> on a file name from the archive.  Which probably means Emacs doesn't
> recognize the file-name encoding in the archive, because it works for
> me on GNU/Linux.  I'm guessing that this is some issue with encoding
> file names (perhaps specific to macOS) according to the locale, and
> how we decode file names we see in ZIP archives.  What are the values
> of the following variables in your Emacs session?
>
>    file-name-coding-system
>    default-file-name-coding-system
>    locale-coding-system

Here is the value of those Emacs options:

#+begin_src emacs-lisp
file-name-coding-system
#+end_src

#+RESULTS[(2021-12-17 17:19:56) 10eb8c474c73b3145d541054940d934b4a031860]:
: utf-8-hfs-unix

#+begin_src emacs-lisp
default-file-name-coding-system
#+end_src

#+RESULTS[(2021-12-17 17:19:58) 0003ca32242df46cc8fcec24d6071f349111c373]:
: utf-8-unix

#+begin_src emacs-lisp
locale-coding-system
#+end_src

#+RESULTS[(2021-12-17 17:20:00) 5620306d6cabf6121f6ea3aa3f544bd5d0c53a16]:
: utf-8-unix

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3